## burner-status

burner-status

## Functions

BurnerStatus * | burner_status_new ()
BurnerBurnResult | burner_status_get_result ()
gdouble | burner_status_get_progress ()
GError * | burner_status_get_error ()
gchar * | burner_status_get_current_action ()
void | burner_status_set_completed ()
void | burner_status_set_not_ready ()
void | burner_status_set_error ()

## Types and Values

struct | BurnerStatus
enum | BurnerStatusType

## Description

## Functions

### burner_status_new ()

    BurnerStatus *
    burner_status_new (void);

Creates a new BurnerStatus object.

#### Returns

a BurnerStatus.

### burner_status_get_result ()

    BurnerBurnResult
    burner_status_get_result (BurnerStatus *status);

After an object (see `burner_burn_track_get_status()`) has been requested its status, this function returns that status.

#### Parameters

status | a BurnerStatus. |

#### Returns

a BurnerBurnResult. BURNER_BURN_OK if the object is ready. BURNER_BURN_NOT_READY if some time should be given to the object before it is ready. BURNER_BURN_ERR if there is an error.

### burner_status_get_progress ()

    gdouble
    burner_status_get_progress (BurnerStatus *status);

If `burner_status_get_result()` returned BURNER_BURN_NOT_READY, this function returns the progress regarding the operation completion.

#### Parameters

status | a BurnerStatus. |

#### Returns

a gdouble

### burner_status_get_error ()

    GError *
    burner_status_get_error (BurnerStatus *status);

If `burner_status_get_result()` returned BURNER_BURN_ERR, this function returns the error.

#### Parameters

status | a BurnerStatus. |

#### Returns

a GError

### burner_status_get_current_action ()

    gchar *
    burner_status_get_current_action (BurnerStatus *status);

If `burner_status_get_result()` returned BURNER_BURN_NOT_READY, this function returns a string describing the operation currently performed. Free the string when it is not needed anymore.

#### Parameters

status | a BurnerStatus. |

#### Returns

a gchar.

### burner_status_set_completed ()

    void
    burner_status_set_completed (BurnerStatus *status);

Sets the status for a request to BURNER_BURN_OK.

#### Parameters

status | a BurnerStatus. |

### burner_status_set_not_ready ()

    void
    burner_status_set_not_ready (BurnerStatus *status,
                                 gdouble progress,
                                 const gchar *current_action);

Sets the status for a request to BURNER_BURN_NOT_READY. Allows to set a string describing the operation currently performed as well as the progress regarding the operation completion.

#### Parameters

status | a BurnerStatus. |
progress | a gdouble or -1.0. |
current_action | a gchar or NULL. |

### burner_status_set_error ()

    void
    burner_status_set_error (BurnerStatus *status,
                             GError *error);

Sets the status for a request to BURNER_BURN_ERR.

#### Parameters

status | a BurnerStatus. |
error | a GError or NULL. |

## Types and Values

### struct BurnerStatus

    struct BurnerStatus {
    	GObject parent_instance;
    };

### enum BurnerStatusType

#### Members

BURNER_STATUS_OK |  |
BURNER_STATUS_ERROR |  |
BURNER_STATUS_QUESTION |  |
BURNER_STATUS_INFORMATION |  |